#include "libraries/Link.h"

namespace cosi {

namespace library {

Link::Link() {
	mDirected = true;
	mName = "Unknown";
	mType = "Unknown";
}

Link::~Link() {
}

void Link::SetName(std::string pS) {
	mName = pS ;
}

std::string Link::GetName() {
	return mName ;
}

void Link::SetType(std::string pS) {
	mType = pS ;
}

std::string Link::GetType() {
	return mType ;
}

void Link::SetSource(Name pS) {
	mSource = pS ;
}

Name Link::GetSource() {
	return mSource ;
}

void Link::SetDestination(Name pS) {
	mDest = pS ;

}
Name Link::GetDestination() {
	return mDest ;
}

void Link::SetSourceInterface(PortInterface pS) {
	mSourceInterface = pS ;
}

PortInterface Link::GetSourceInterface() {
	return mSourceInterface ;
}

void Link::SetDestinationInterface(PortInterface pS) {
	mDestInterface = pS ;

}

PortInterface Link::GetDestinationInterface() {
	return mDestInterface ;
}

bool Link::Directed(){
	return mDirected ;
}
void Link::Directed(bool pD){
	mDirected = pD ;
}

}
}
